
import 'package:flutter/material.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../models/located_address.dart';
import '../widgets/desktop/desktop_new_address.dart';
import '../widgets/mobile/mobile_new_address.dart';

class NewAddress extends StatelessWidget {
  final Key? key;
  final LocatedAddress locatedAddress;
  final int businessId;
  const NewAddress({this.key, this.locatedAddress, this.businessId}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
        ScreenTypeLayout(
          mobile: MobileNewAddress(
            locatedAddress: locatedAddress,
            businessId: businessId,
          ),
          tablet: DesktopNewAddress(
            locatedAddress: locatedAddress,
            businessId: businessId,
          ),
          desktop: DesktopNewAddress(
            locatedAddress: locatedAddress,
            businessId: businessId,
          ),
        ),
    );
  }

}